#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QProcess>
#include <QStringListModel>
#include <QModelIndex>
#include <QList>
#include <QFileDialog>
#include <QFile>
#include <QTextStream>

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    Ui::MainWindow *ui;
    void loadFontList();
    QStringList sans;
    QStringListModel sansModel;
    QStringList serif;
    QStringListModel serifModel;
    QStringList mono;
    QStringListModel monoModel;

private slots:
    void on_btnSave_clicked();
    void on_btnMonoDown_clicked();
    void on_btnMonoUp_clicked();
    void on_btnAddToMono_clicked();
    void on_btnDelFromMono_clicked();
    void on_btnSerifDown_clicked();
    void on_btnSerifUp_clicked();
    void on_btnDelFromSerif_clicked();
    void on_btnSansDown_clicked();
    void on_btnAddToSerif_clicked();
    void on_btnDelFromSans_clicked();
    void on_btnSansUp_clicked();
    void on_btnAddToSans_clicked();
};

#endif // MAINWINDOW_H
